Skip to main content
cURL
curl --request POST \
  --url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "columnFilters": [
    {
      "measurement": "openlayer_token_set",
      "operator": "contains_none",
      "value": [
        "cat"
      ]
    }
  ],
  "searchQueryOr": [
    "<string>"
  ],
  "searchQueryAnd": [
    "<string>"
  ],
  "notSearchQueryOr": [
    "<string>"
  ],
  "notSearchQueryAnd": [
    "<string>"
  ],
  "rowIdList": [
    123
  ],
  "excludeRowIdList": [
    123
  ]
}
'
{
  "items": [
    {
      "openlayer_row_id": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

inferencePipelineId
string<uuid>
required

The inference pipeline id (a UUID).

Query Parameters

page
integer
default:1

The page to return in a paginated query.

Required range: x >= 1
perPage
integer
default:25

Maximum number of items to return per page.

Required range: 1 <= x <= 100
sortColumn
string

Name of the column to sort on

asc
boolean
default:true

Whether or not to sort on the sortColumn in ascending order.

Body

application/json
columnFilters
(SetColumnFilter · object | NumericColumnFilter · object | StringColumnFilter · object)[] | null
Maximum array length: 5
Example:
{
"measurement": "openlayer_token_set",
"operator": "contains_none",
"value": ["cat"]
}
searchQueryOr
string[] | null
Maximum string length: 300
searchQueryAnd
string[] | null
Maximum string length: 300
notSearchQueryOr
string[] | null
Maximum string length: 300
notSearchQueryAnd
string[] | null
Maximum string length: 300
rowIdList
integer[] | null
excludeRowIdList
integer[] | null

Response

Status OK.

items
object[]
required